Skip to main content

Pre-Authorization on Attended Devices


Use this information to process a pre-authorization on attended parking devices.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

This example shows a Visa pre-authorization on an attended parking device.

{  "clientReferenceInformation": {    "code": "test123",    "comments": "Parking Auth",    "partner": {      "developerId": "prodDeveloperId",      "thirdPartyCertificationNumber": "prodTPCN",      "solutionId": "prodSolutionId"    },    "transactionId": "UniqueTranID"  },  "processingInformation": {    "commerceIndicator": "retail",    "authorizationOptions": {      "authIndicator": 0    }  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "20.00",      "currency": "USD"    }  },  "pointOfSaleInformation": {    "entryMode": "contactless",    "terminalCapability": 4,    "terminalPinCapability": 0,    "emv": {      "tags": "9F100706011103A000009F26089302EDF8DC3C6E519F02060000000011009F03060000000000009F1A020840950500000000005F2A0208409A031807039C01009F37043444BDD7820200009F360200019F330360B0E89F1E04123456789F2701809F6E04207000009F7C140000000000000000000000000000000000000000",      "cardSequenceNumber": "01"    },    "trackData": ";4761739xx1010135=28122011758928889?"  },  "merchantInformation": {    "transactionLocalDateTime": "20260225115959"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/7720595927166430303812/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7720595927166430303812"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7720595927166430303812/captures"    }  },  "clientReferenceInformation": {    "code": "test123",    "comments": "Parking Auth",    "partner": {      "developerId": "prodDeveloperId",      "solutionId": "prodSolutionId"    },    "transactionId": "UniqueTranID"  },  "id": "7720595927166430303812",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "20.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "F",      "group": "0"    },    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "emv": {      "tags": "9F36020001910A7D517A9478FA6AD53030"    }  },  "processorInformation": {    "systemTraceAuditNumber": "035730",    "paymentAccountReferenceNumber": "V0010013018036783719331133719",    "merchantNumber": "123456789023",    "approvalCode": "012317",    "networkTransactionId": "306056819920688",    "settlementDate": "6061",    "retrievalReferenceNumber": "605622035730",    "transactionId": "306056819920688",    "responseCode": "00",    "avs": {      "code": "2"    }  },  "reconciliationId": "7720595927166430303812",  "status": "AUTHORIZED",  "submitTimeUtc": "2026-02-25T22:46:32Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet the value to Parking Auth.
clientReferenceInformation.partner.developerId provides the value for this field.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
merchantInformation.transactionLocalDateTime
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.type
pointOfSaleInformation.emv.cardSequenceNumber
pointOfSaleInformation.emv.tags
pointOfSaleInformation.entryMode
pointOfSaleInformation.terminalCapability
pointOfSaleInformation.terminalPinCapability
pointOfSaleInformation.trackData
processingInformation.authorizationOptions.authIndicatorSet the value to 0.
processingInformation.commerceIndicatorSet the value to retail.

Last published: September 29, 2026